Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 790191 - sys-fs/e2fsprogs-1.46.2: Tests failed: j_recover_csum2_32bit j_recover_csum2_64bit j_recover_fast_commit m_rootdir_acl
Summary: sys-fs/e2fsprogs-1.46.2: Tests failed: j_recover_csum2_32bit j_recover_csum2_...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks: 789900
  Show dependency tree
 
Reported: 2021-05-14 12:46 UTC by Rolf Eike Beer
Modified: 2021-08-20 20:46 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,357.67 KB, text/plain)
2021-05-14 12:46 UTC, Rolf Eike Beer
Details
0001-e2fsck-fix-.-directory-repair-on-big-endian-systems.patch (0001-e2fsck-fix-.-directory-repair-on-big-endian-systems.patch,1.78 KB, patch)
2021-07-30 18:58 UTC, Sergei Trofimovich (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rolf Eike Beer archtester 2021-05-14 12:46:53 UTC
Created attachment 708498 [details]
build.log

Portage 3.0.18 (python 3.8.9-final-0, default/linux/sparc/17.0, gcc-9.3.0, glibc-2.32-r7, 5.10.25-gentoo-sparc64 sparc64)
=================================================================
System uname: Linux-5.10.25-gentoo-sparc64-sparc64-sun4v-with-glibc2.1.3
KiB Mem:    33076800 total,  16358848 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Fri, 14 May 2021 00:15:01 +0000
Head commit of repository gentoo: 28c509ed29721a4f1e49e70349b2cdc866d37686
sh bash 5.1_p8
ld GNU ld (Gentoo 2.35.2 p1) 2.35.2
distcc 3.3.3 sparc-unknown-linux-gnu [disabled]
ccache version 4.2.1 [disabled]
app-shells/bash:          5.1_p8::gentoo
dev-lang/perl:            5.30.3::gentoo
dev-lang/python:          2.7.18_p9::gentoo, 3.6.13_p3::gentoo, 3.7.10_p1::gentoo, 3.8.9_p2::gentoo, 3.9.4_p1::gentoo
dev-util/ccache:          4.2.1::gentoo
dev-util/cmake:           3.18.5::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/openrc:          0.42.1-r1::gentoo
sys-apps/sandbox:         2.22::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.13.4-r2::gentoo, 1.16.2-r1::gentoo
sys-devel/binutils:       2.35.2::gentoo
sys-devel/gcc:            9.3.0-r2::gentoo
sys-devel/gcc-config:     2.4::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.10::gentoo (virtual/os-headers)
sys-libs/glibc:           2.32-r7::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage/
    priority: -1000
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-jobs: 1
    sync-rsync-extra-opts: 
    sync-rsync-verify-max-age: 24

qt
    location: /var/lib/layman/qt
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="sparc"
ACCEPT_LICENSE="* -@EULA"
CBUILD="sparc-unknown-linux-gnu"
CFLAGS="-O2 -mcpu=niagara2 -pipe -Wcast-align"
CHOST="sparc-unknown-linux-gnu"
CONFIG_PROTECT="/etc /etc/stunnel/stunnel.conf /usr/share/gnupg/qualified.txt /var/qmail/alias /var/qmail/control /var/vpopmail/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.3/ext-active/ /etc/php/apache2-php7.4/ext-active/ /etc/php/cgi-php7.3/ext-active/ /etc
hp/cli-php7.3/ext-active/ /etc/php/cli-php7.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -mcpu=niagara2 -pipe -Wcast-align"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS=""
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned 
sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS=""
GENTOO_MIRRORS="ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo ftp://ftp.join.uni-muenster.de/pub/linux/distributions/gentoo"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j20 -l40"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --excl
PORTAGE_TMPDIR="/var/tmp"
USE="acl berkdb big-endian bzip2 cli crypt dri fortran gdbm iconv ipv6 libglvnd libtirpc llvm-libunwind ncurses nls nptl openmp pam pcre readline sparc split-usr ssl tcpd unicode xattr zlib" ADA_TARGET="gnat_2018" APACHE2_MODULES=
cb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_ca
che filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface
og" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip trip
"libinput" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IM
GETS="php7-3 php7-4" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_8" PYTHON_TARGETS="python3_8" RUBY_TARGETS="ruby26" USERLAND="GNU" VIDEO_CARDS="fbdev glint mga r128 radeon dummy v4l" XTABLES_ADDONS="quo
ptions ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, RUSTFLAGS
Comment 1 Rolf Eike Beer archtester 2021-05-14 12:48:13 UTC
On hppa I see this instead:

371 tests succeeded     1 tests failed
Tests failed: m_rootdir_acl
Comment 3 Sam James archtester gentoo-dev Security 2021-06-13 11:48:56 UTC
(In reply to Samuel Holland from comment #2)
> See https://github.com/tytso/e2fsprogs/issues/65
> 
> Patches here:
> https://github.com/tytso/e2fsprogs/commit/
> 1e0c8ca7c08abb197aacb3ce78575ee5b00874b6
> and here:
> https://github.com/tytso/e2fsprogs/pull/71/commits/
> 396510d6d23ac010594cd93d93179aa5cb639edb

On sparc, before patches, I had failures on:
* m_rootdir_acl
* j_recover_fast_commit

Applying smaeul's *second* commit fixed the ACL issue, but made no difference to the fast_commit failure.

Debian seem to have additional patches which may address the latter, checking: https://sources.debian.org/patches/e2fsprogs/1.46.2-2/.
Comment 4 Sam James archtester gentoo-dev Security 2021-07-20 02:25:22 UTC
Pinged upstream a few days ago: https://github.com/tytso/e2fsprogs/pull/71#issuecomment-877662837.
Comment 5 Rolf Eike Beer archtester 2021-07-28 14:47:35 UTC
With 1.46.3 I get on hppa and sparc:

Tests failed: f_baddotdir m_rootdir_acl
Comment 6 Rolf Eike Beer archtester 2021-07-28 14:55:02 UTC
(In reply to Rolf Eike Beer from comment #5)
> With 1.46.3 I get on hppa and sparc:
> 
> Tests failed: f_baddotdir m_rootdir_acl

Reported the former as https://github.com/tytso/e2fsprogs/issues/75
Comment 7 Sergei Trofimovich (RETIRED) gentoo-dev 2021-07-30 18:58:24 UTC
Created attachment 728433 [details, diff]
0001-e2fsck-fix-.-directory-repair-on-big-endian-systems.patch

0001-e2fsck-fix-.-directory-repair-on-big-endian-systems.patch might fix `f_baddotdir` test.
Comment 8 Sergei Trofimovich (RETIRED) gentoo-dev 2021-07-30 20:22:21 UTC
(In reply to Sergei Trofimovich from comment #7)
> Created attachment 728433 [details, diff] [details, diff]
> 0001-e2fsck-fix-.-directory-repair-on-big-endian-systems.patch
> 
> 0001-e2fsck-fix-.-directory-repair-on-big-endian-systems.patch might fix
> `f_baddotdir` test.

-ETOOLATE. Upstream already fixed it with https://github.com/tytso/e2fsprogs/commit/225e5d093b519f9dbe9fcaacd995426f0e5194f6.
Comment 9 Sam James archtester gentoo-dev Security 2021-08-20 20:46:54 UTC
(In reply to Sam James from comment #4)
> Pinged upstream a few days ago:
> https://github.com/tytso/e2fsprogs/pull/71#issuecomment-877662837.

Should be fixed by https://github.com/tytso/e2fsprogs/commit/7a97083d4350b93f4055bdd8465667cecbb36438.

Let's call this RESOLVED FIXED in 1.46.4.

(In reply to Rolf Eike Beer from comment #6)
> (In reply to Rolf Eike Beer from comment #5)
> > With 1.46.3 I get on hppa and sparc:
> > 
> > Tests failed: f_baddotdir m_rootdir_acl
> 
> Reported the former as https://github.com/tytso/e2fsprogs/issues/75

This is now fixed as slyfox noted in https://bugs.gentoo.org/790191#c8.